com.h3c.util.pkt

## Enum Arp.OpCode

- java.lang.Object
- - java.lang.Enum<Arp.OpCode>
  - - com.h3c.util.pkt.Arp.OpCode

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<Arp.OpCode>
  Enclosing class:
    Arp

      public static enum Arp.OpCode
      extends Enum<Arp.OpCode>
      implements ProtocolEnum

  Operation code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DYN_REV_ERR` Dynamic reverse error operation code.
    `DYN_REV_REPLY` Dynamic reverse reply operation code.
    `DYN_REV_REQ` Dynamic reverse request operation code.
    `INV_REPLY` Inverse reply operation code.
    `INV_REQ` Inverse request operation code.
    `REPLY` Reply operation code.
    `REQ` Request operation code.
    `REV_REPLY` Reverse reply operation code.
    `REV_REQ` Reverse request operation code.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static Arp.OpCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Arp.OpCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQ

          public static final Arp.OpCode REQ

      Request operation code.

    - #### REPLY

          public static final Arp.OpCode REPLY

      Reply operation code.

    - #### REV_REQ

          public static final Arp.OpCode REV_REQ

      Reverse request operation code.

    - #### REV_REPLY

          public static final Arp.OpCode REV_REPLY

      Reverse reply operation code.

    - #### DYN_REV_REQ

          public static final Arp.OpCode DYN_REV_REQ

      Dynamic reverse request operation code.

    - #### DYN_REV_REPLY

          public static final Arp.OpCode DYN_REV_REPLY

      Dynamic reverse reply operation code.

    - #### DYN_REV_ERR

          public static final Arp.OpCode DYN_REV_ERR

      Dynamic reverse error operation code.

    - #### INV_REQ

          public static final Arp.OpCode INV_REQ

      Inverse request operation code.

    - #### INV_REPLY

          public static final Arp.OpCode INV_REPLY

      Inverse reply operation code.

  - ### Method Detail

    - #### values

          public static Arp.OpCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Arp.OpCode c : Arp.OpCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Arp.OpCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.